Debian Bug report logs - #618671
/etc/init.d/pdnsd not LSB-compliant

version graph

Package: pdnsd; Maintainer for pdnsd is Debian QA Group <packages@qa.debian.org>; Source for pdnsd is src:pdnsd.

Reported by: Martin Dziobek <dziobek@ihr.uni-stuttgart.de>

Date: Thu, 17 Mar 2011 14:03:02 UTC

Severity: normal

Tags: patch

Found in version pdnsd/1.2.8-par-1

Fixed in version pdnsd/1.2.8-par-2

Done: Mahyuddin Susanto <udienz@ubuntu.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Mahyuddin Susanto <udienz@ubuntu.com>:
Bug#618671; Package pdnsd. (Thu, 17 Mar 2011 14:03:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Martin Dziobek <dziobek@ihr.uni-stuttgart.de>:
New Bug report received and forwarded. Copy sent to Mahyuddin Susanto <udienz@ubuntu.com>. (Thu, 17 Mar 2011 14:03:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Martin Dziobek <dziobek@ihr.uni-stuttgart.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: /etc/init.d/pdnsd not LSB-compliant
Date: Thu, 17 Mar 2011 14:51:07 +0100
Package: pdnsd
Version: 1.2.8-par-1
Severity: normal

The init-script /etc/init.d/pdnsd is not LSB-compliant.
According to 
http://refspecs.linux-foundation.org/LSB_3.2.0/LSB-Core-generic/LSB-Core-generic/iniscrptact.html:

The script should have exit status 3 for the command "/etc/init.d/pdnsd status"
when pdnsd is not running.
The script should have exit status 0 for the command "/etc/init.d/pdnsd start"
when pdnsd is running.

This makes the unaltered script unusable for pacemaker-based Linux-HA clusters
as denoted in http://www.linux-ha.org/wiki/LSB_Resource_Agent

Solution
---------------------------------------------

in check_pid:

check_pid()
{
	if test -f "$PIDFILE"; then
		log_warning_msg "pid file exists in $PIDFILE, stop $pdnsd or restart $pdnsd"
		exit 0
	fi
}

-------------------------

in pdnsd_status:

pdnsd_status()
{
    if status_of_proc $DAEMON $NAME; then
        /usr/sbin/pdnsd-ctl status
    else
        exit 3
    fi
}

------------------------------------------------

This also fixes some minor typos in the log_warning_msg line.

Thank you for debian !
Martin





Added tag(s) pending and patch. Request was from Mahyuddin Susanto <udienz@ubuntu.com> to control@bugs.debian.org. (Mon, 21 Mar 2011 08:15:15 GMT) Full text and rfc822 format available.

Reply sent to Mahyuddin Susanto <udienz@ubuntu.com>:
You have taken responsibility. (Sat, 11 Jun 2011 10:36:39 GMT) Full text and rfc822 format available.

Notification sent to Martin Dziobek <dziobek@ihr.uni-stuttgart.de>:
Bug acknowledged by developer. (Sat, 11 Jun 2011 10:36:41 GMT) Full text and rfc822 format available.

Message #12 received at 618671-close@bugs.debian.org (full text, mbox):

From: Mahyuddin Susanto <udienz@ubuntu.com>
To: 618671-close@bugs.debian.org
Subject: Bug#618671: fixed in pdnsd 1.2.8-par-2
Date: Sat, 11 Jun 2011 10:33:46 +0000
Source: pdnsd
Source-Version: 1.2.8-par-2

We believe that the bug you reported is fixed in the latest version of
pdnsd, which is due to be installed in the Debian FTP archive:

pdnsd_1.2.8-par-2.debian.tar.gz
  to main/p/pdnsd/pdnsd_1.2.8-par-2.debian.tar.gz
pdnsd_1.2.8-par-2.dsc
  to main/p/pdnsd/pdnsd_1.2.8-par-2.dsc
pdnsd_1.2.8-par-2_i386.deb
  to main/p/pdnsd/pdnsd_1.2.8-par-2_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 618671@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Mahyuddin Susanto <udienz@ubuntu.com> (supplier of updated pdnsd package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Sun, 10 Apr 2011 01:17:29 +0700
Source: pdnsd
Binary: pdnsd
Architecture: source i386
Version: 1.2.8-par-2
Distribution: unstable
Urgency: low
Maintainer: Mahyuddin Susanto <udienz@ubuntu.com>
Changed-By: Mahyuddin Susanto <udienz@ubuntu.com>
Description: 
 pdnsd      - Proxy DNS Server
Closes: 617644 617659 617913 618671
Changes: 
 pdnsd (1.2.8-par-2) unstable; urgency=low
 .
   * debian/patches/03-autotools.patch: Dropped not needed anymore and make
     FTBFS on kfreebsd-* because it was restoring patch from kfreebsd patches.
     (Closes: #617659)
   * debian/patches/06_man_prefix.patch: Fix manual page path to $prefix/share.
   * Add maintainer script to deleting files during uninstall packages.
     (Closes: #617913)
     - debian/postrm
     - debian/prerm
   * Fix broken init.d script, Thanks to RjY <rjy@users.sourceforge.net>:
     (Closes: #617644)
     - debian/init.d
     - debian/pdnsd.conf
   * debian/init.d: Rewriting to LSB-compliant, Thanks to Martin Dziobek.
     (Closes: #618671)
   * debian/changelog: Fix wrong bug number in 1.2.8-par-1.
   * debian/control:
     - Move Vcs-browser field to git browser rather than anonscm.
     - Bump Build-Dep of debpelper to 7.0.50~ since used dh_override.
     - Bump Standards-Version to 3.9.2.
   * debian/rules: Rewriting to using simple rules.
Checksums-Sha1: 
 c0f6c94b46e2a347da40a689cc1c1c50a9e1fe5e 1466 pdnsd_1.2.8-par-2.dsc
 2c539ddd313ee701a1b708ca15539d0a3bf5f4d1 26295 pdnsd_1.2.8-par-2.debian.tar.gz
 658fb4a1aa123970796697d28da9bad1615866d9 299164 pdnsd_1.2.8-par-2_i386.deb
Checksums-Sha256: 
 762ec58d4bc87bfdf40e942b09909495c90399777bfba7275fd1644b9ffc2509 1466 pdnsd_1.2.8-par-2.dsc
 5bada3bf12b304d83c88c6d38b490065c0ae4836b7d7a3a6bcd47172ecf97159 26295 pdnsd_1.2.8-par-2.debian.tar.gz
 3c9fc532083c5bfcb51d3e94e1788444164ae0241e7a97d6085b056bf7341449 299164 pdnsd_1.2.8-par-2_i386.deb
Files: 
 d60f573e8196501748a78190831d866d 1466 net optional pdnsd_1.2.8-par-2.dsc
 3ae7dca8b6e880864a03d7519ed2ae2c 26295 net optional pdnsd_1.2.8-par-2.debian.tar.gz
 f7046598dcfec03c0634ab061c988291 299164 net optional pdnsd_1.2.8-par-2_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iQEcBAEBCgAGBQJN80EiAAoJEEmrPP2rYrC4a0MH/RGxnM923LFBrwOEP7ZoU51W
6Pr/fmdhA4dCO0BFZb7FDuwriv/u8qFjMYyHhzd9cwIwM5SdKzk7HcS8p0bRt6Nk
KczsenH7lRryIXAXTQ4TnBVwlplI/DoqAOOQtgFOeUZ1U+vaF1HT0krAwBClGj79
hBGS3EOVopZ4eBh7/S4M8TiWiTQrGb/Nu2ielW9KN0AL8yLe/l8AnMCbrTbPRjUE
G9pMU7i/sgx+P9cIQFJsIgfKy/f1d56ZiegTFcMwFDCd7X+LCbFeO5ZavYLFet7P
0fzkcE69nIs6QbnWLbFP7jzFPes4eSCaP9ieeou12fQjYz41YbfgpXjdmwRQxak=
=Jqdx
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 10 Jul 2011 07:36:17 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 06:31:44 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.